View Issue Details

IDProjectCategoryView StatusLast Update
0032078LazarusLCLpublic2017-07-22 15:03
ReporterValdas Jankūnas Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux 4.10.0-26-generic OSKubuntu 17.04 
Product Version1.9 (SVN) 
Summary0032078: Listview.Items MakeVisible has no effect in Qt
DescriptionTry attached project.
If it is compiled with Qt WS then MakeVisible has no effect: listview not auto-scrolls to end (when items don't fit in to window).
If it is compiled with Gtk2 WS then it works as expected: listview auto-scrolls to show last item.

Qt v.5.7.1
TagsNo tags attached.
Fixed in Revision55554
LazTarget-
WidgetsetQT, QT5
Attached Files

Activities

Valdas Jankūnas

2017-06-29 13:39

reporter  

test_project.zip (128,850 bytes)

Zeljan Rikalo

2017-07-21 11:09

developer   ~0101833

Please test and close if ok.

Valdas Jankūnas

2017-07-22 15:03

reporter   ~0101849

Tested, it works in Qt and Qt5 WS.

Issue History

Date Modified Username Field Change
2017-06-29 13:39 Valdas Jankūnas New Issue
2017-06-29 13:39 Valdas Jankūnas File Added: test_project.zip
2017-06-30 09:39 Zeljan Rikalo Assigned To => Zeljan Rikalo
2017-06-30 09:39 Zeljan Rikalo Status new => assigned
2017-06-30 09:39 Zeljan Rikalo LazTarget => -
2017-06-30 09:39 Zeljan Rikalo Widgetset QT => QT, QT5
2017-07-21 11:09 Zeljan Rikalo Fixed in Revision => 55554
2017-07-21 11:09 Zeljan Rikalo Note Added: 0101833
2017-07-21 11:09 Zeljan Rikalo Status assigned => resolved
2017-07-21 11:09 Zeljan Rikalo Resolution open => fixed
2017-07-22 15:03 Valdas Jankūnas Note Added: 0101849
2017-07-22 15:03 Valdas Jankūnas Status resolved => closed